local function doFadeWipe(state)
  fadeWipe = celeste.FadeWipe(engine.Scene, state, nil)
  engine.Scene:Add(fadeWipe)
  fadeWipe.duration = 2
  fadeWipe.EndTimer = 1
end

function onBegin()

  if getFlag("idachegou2") then

    disablePause()
    disableMovement()
    player.ForceCameraUpdate = true

    doFadeWipe(true)
    wait(1)

    walk(43)
    setFlag("idachegou2", false)
    enableMovement()
    enablePause()
  end
end